Package csb :: Package statistics :: Package samplers :: Package mc :: Module multichain :: Class InterpolationFactory

[frames] | no frames]

# Class InterpolationFactory

source code

    object --+
             |
            InterpolationFactory

Produces interpolations for functions changed during non-equilibrium trajectories.

Instance Methods

__init__(self, protocol, tau) x.__init__(...) initializes x; see help(type(x)) for signature | source code

build_gradient(self, gradient) Create a gradient instance with according to given protocol and switching time. | source code

build_temperature(self, temperature) Create a temperature function according to given protocol and switching time. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| protocol
| tau
Inherited from `object`: `__class__`

Method Details

### __init__(self, protocol, tau)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `protocol` (function mapping t to [0...1] for fixed tau) - protocol to be used to generate non-equilibrium trajectories
  - `tau` (float) - switching time
Overrides: object.__init__
  (inherited documentation)

### build_gradient(self, gradient)

source code

Create a gradient instance with according to given protocol and switching time.

Parameters:
  - `gradient` (callable) - gradient with G(0) = G_1 and G(1) = G_2

### build_temperature(self, temperature)

source code

Create a temperature function according to given protocol and switching time.

Parameters:
  - `temperature` (callable) - temperature with T(0) = T_1 and T(1) = T_2

Property Details

### protocol

Get Method:
  unreachable.protocol(self)
Set Method:
  unreachable.protocol(self, value)

### tau

Get Method:
  unreachable.tau(self)
Set Method:
  unreachable.tau(self, value)